Page MenuHomePhabricator

Write email formatter that uses presentation models
Closed, ResolvedPublic

Description

The notification panel/popup/flyout and the special page already use the new system, but emails don't yet.

Related Objects

Event Timeline

Catrope created this task.Dec 10 2015, 4:05 AM
Catrope assigned this task to Legoktm.
Catrope raised the priority of this task from to High.
Catrope updated the task description. (Show Details)
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 10 2015, 4:05 AM

Change 249885 had a related patch set uploaded (by Catrope):
[WIP] Add plain text email formatter

https://gerrit.wikimedia.org/r/249885

SBisson claimed this task.Apr 21 2016, 8:33 PM
SBisson added a subscriber: Legoktm.

Once this task is done, we should take a look at all of the blocking tasks. Some of them require a bit more work, but a lot of them are going to be fixed "for free" once this is done.

Change 285720 had a related patch set uploaded (by Sbisson):
[WIP] HTML email formatter using presentation models

https://gerrit.wikimedia.org/r/285720

Change 249885 merged by jenkins-bot:
Add plain text email formatter

https://gerrit.wikimedia.org/r/249885

Change 285720 abandoned by Sbisson:
[WIP] HTML email formatter using presentation models

https://gerrit.wikimedia.org/r/285720

Change 287078 had a related patch set uploaded (by Sbisson):
HTML email formatter using presentation model

https://gerrit.wikimedia.org/r/287078

Change 287078 merged by jenkins-bot:
HTML email formatter using presentation model

https://gerrit.wikimedia.org/r/287078

Checked in betalabs. The subtask T140214: Make e-mail notifications clearer and more precise on page renames is removed - this is a separate issue that should be addressed on its own.

jmatazzoni closed this task as Resolved.Aug 8 2016, 7:39 PM